/**
 * monorepo-root
 * Find the monorepo root directory
 */
import * as E from 'fp-ts/Either';
export declare type MonorepoRootError = {
    type: 'cannot find lerna manifest upwards from known path';
    path: string;
};
/**
 * Find the monorepo root directory, searching upwards from `path`.
 */
export declare function monorepoRoot(pathInsideMonorepo?: string): E.Either<MonorepoRootError, string>;
//# sourceMappingURL=monorepo-root.d.ts.map